Overview | Modules | Class Hierarchy | Classes | Members

# tlp::BaseGraphicsViewComponent Class Reference

`#include <BaseGraphicsViewComponent.h>`

Inherits tlp::AbstractView.

Inheritance diagram for tlp::BaseGraphicsViewComponent:

[legend]
Collaboration diagram for tlp::BaseGraphicsViewComponent:

[legend]
List of all members.

## Public Slots

- virtual void setGraph (Graph *graph)
- virtual void draw ()
- virtual void refresh ()
- virtual void init ()
- virtual void elementSelectedSlot (unsigned int, bool)

## Public Member Functions

- BaseGraphicsViewComponent (const std::string &realViewName)
- virtual ~BaseGraphicsViewComponent ()
- virtual QWidget * construct (QWidget *parent)
- virtual void setData (Graph *graph, DataSet dataSet)
- virtual void getData (Graph **graph, DataSet *dataSet)
- virtual Graph * getGraph ()
- virtual void setInteractors (const std::list< Interactor * > &interactors)
- virtual std::list< Interactor * > getInteractors ()
- virtual void setActiveInteractor (Interactor *interactor)
- virtual void createPicture (const std::string &pictureName, int width=0, int height=0)
- virtual std::string getRealViewName ()

## Protected Attributes

- GWOverviewWidget * overviewWidget
- QFrame * overviewFrame
- std::string realViewName
- GlMainWidgetGraphicsView * graphicsView
- View * baseView

## Constructor & Destructor Documentation

tlp::BaseGraphicsViewComponent::BaseGraphicsViewComponent | ( | const std::string & | realViewName | ) |

virtual tlp::BaseGraphicsViewComponent::~BaseGraphicsViewComponent | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QWidget* tlp::BaseGraphicsViewComponent::construct | ( | QWidget * | parent | ) | `[virtual]`

Construct GUI of the view

Returns:
  QWidget is the main widget of the view (in MainController this widget will be add to workspace)

Reimplemented from tlp::AbstractView.

virtual void tlp::BaseGraphicsViewComponent::createPicture | ( | const std::string & | pictureName,
|  | int | width = `0`,
|  | int | height = `0`
| ) | `[inline, virtual]`

| Take a snapshot of the view and put it in a picture Implements tlp::View.

virtual void tlp::BaseGraphicsViewComponent::draw | ( |  | ) | `[virtual, slot]`

| Draw the view Implements tlp::View.

virtual void tlp::BaseGraphicsViewComponent::elementSelectedSlot | ( | unsigned | int,
|  | bool |
| ) | `[virtual, slot]`

virtual void tlp::BaseGraphicsViewComponent::getData | ( | Graph ** | graph,
|  | DataSet * | dataSet
| ) | `[inline, virtual]`

| Get the graph and data of the view Implements tlp::View.

virtual Graph* tlp::BaseGraphicsViewComponent::getGraph | ( |  | ) | `[inline, virtual]`

| get Graph attached to this view Implements tlp::View.

virtual std::list<Interactor *> tlp::BaseGraphicsViewComponent::getInteractors | ( |  | ) | `[inline, virtual]`

| Return interactors of this view Reimplemented from tlp::AbstractView.

virtual std::string tlp::BaseGraphicsViewComponent::getRealViewName | ( |  | ) | `[virtual]`

| Return the real view name (if "" the real name is the name give by plugin) Reimplemented from tlp::View.

virtual void tlp::BaseGraphicsViewComponent::init | ( |  | ) | `[virtual, slot]`

| Reinit the view and draw Implements tlp::View.

virtual void tlp::BaseGraphicsViewComponent::refresh | ( |  | ) | `[virtual, slot]`

| Refresh the view (data don't be modified) Implements tlp::View.

virtual void tlp::BaseGraphicsViewComponent::setActiveInteractor | ( | Interactor * | interactor | ) | `[inline, virtual]`

| Set active interactor on this view Reimplemented from tlp::AbstractView.

virtual void tlp::BaseGraphicsViewComponent::setData | ( | Graph * | graph,
|  | DataSet | dataSet
| ) | `[inline, virtual]`

| Set the graph and data to the view Implements tlp::View.

virtual void tlp::BaseGraphicsViewComponent::setGraph | ( | Graph * | graph | ) | `[inline, virtual, slot]`

| Change the graph Implements tlp::View.

virtual void tlp::BaseGraphicsViewComponent::setInteractors | ( | const std::list< Interactor * > & | interactors | ) | `[inline, virtual]`

| Set all interactors available forthis view Interactors are create (allocate) but now view have responsibility of her destruction Reimplemented from tlp::AbstractView.

## Member Data Documentation

View* tlp::BaseGraphicsViewComponent::baseView `[protected]`

GlMainWidgetGraphicsView* tlp::BaseGraphicsViewComponent::graphicsView `[protected]`

QFrame* tlp::BaseGraphicsViewComponent::overviewFrame `[protected]`

GWOverviewWidget* tlp::BaseGraphicsViewComponent::overviewWidget `[protected]`

std::string tlp::BaseGraphicsViewComponent::realViewName `[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2010